post
https://partner.gupshup.io/partner/bizgate/app//configuration/subscription
Subscribes an app to inbound message and event callbacks by registering a webhook URL for the requested modes and tag.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Query parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| modes | Comma-separated event types the subscription receives. | SENT,DELIVERED,ENQUEUED | String | Required |
| tag | Label identifying the subscription. | tag1 | String | Required |
| showOnUI | Whether the subscription is listed in the portal UI. | false | Boolean | Optional |
| version | Subscription payload version. | 2 | Integer | Required |
| url | Webhook endpoint that receives the events. | https://example.com/hook | String | Required |
| meta | Free-form metadata stored with the subscription. | — | String | Optional |
Sample cURL — Subscribe inbound webhook/event.
curl --request POST \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/configuration/subscription?modes=SENT,DELIVERED,ENQUEUED&tag=tag1&showOnUI=false&version=2&url=https://example.com/hook' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": {
"subscription": {
"active": true,
"appId": "0ec6873c-1f80-4c82-9bb3-5345e9fd857b",
"createdOn": 1739862125507,
"id": "32595",
"latencyBucket": "lt_1_s",
"mode": 1027,
"modes": [
"SENT",
"DELIVERED",
"ENQUEUED"
],
"modifiedOn": 1739862556690,
"showOnUI": false,
"tag": "tag1",
"url": "https://webhook.site/90af6161-f014-4ea3-b4db-28e9a15501b2",
"version": 2
}
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…